# Uses of Interface
org.springframework.http.client.observation.ClientRequestObservationConvention

Packages that use ClientRequestObservationConvention
Package
Description
org.springframework.http.client.observation
This package provides support for client HTTP `Observation`.
org.springframework.web.client
Core package of the client-side web support.

## Uses of ClientRequestObservationConvention in org.springframework.http.client.observation

Classes in org.springframework.http.client.observation that implement ClientRequestObservationConvention
Modifier and Type
Class
Description
`class`
`DefaultClientRequestObservationConvention`
Default implementation for a `ClientRequestObservationConvention`, extracting information from the `ClientRequestObservationContext`.

## Uses of ClientRequestObservationConvention in org.springframework.web.client

Methods in org.springframework.web.client that return ClientRequestObservationConvention
Modifier and Type
Method
Description
`ClientRequestObservationConvention`
RestTemplate.`getObservationConvention()`
Return the configured `ClientRequestObservationConvention`, or `null` if not set.
Methods in org.springframework.web.client with parameters of type ClientRequestObservationConvention
Modifier and Type
Method
Description
`RestClient.Builder`
RestClient.Builder.`observationConvention(ClientRequestObservationConvention observationConvention)`
Configure the `ObservationConvention` to use for collecting metadata for the request observation.
`void`
RestTemplate.`setObservationConvention(ClientRequestObservationConvention observationConvention)`
Configure an `ObservationConvention` that sets the name of the `observation` as well as its `KeyValues` extracted from the `ClientRequestObservationContext`.